Recommendation¶
- class oci.waas.models.Recommendation(**kwargs)¶
Bases:
objectA recommended protection rule for a web application. This recommendation can be accepted to apply it to the Web Application Firewall configuration for this policy.
Use the POST /waasPolicies/{waasPolicyId}/actions/acceptWafConfigRecommendations method to accept recommended protection rules.
Methods:
__init__(**kwargs)Initializes a new Recommendation object with values from keyword arguments.
Attributes:
Gets the description of this Recommendation.
Gets the key of this Recommendation.
Gets the labels of this Recommendation.
Gets the mod_security_rule_ids of this Recommendation.
Gets the name of this Recommendation.
Gets the recommended_action of this Recommendation.
- __init__(**kwargs)¶
Initializes a new Recommendation object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
key (str) – The value to assign to the key property of this Recommendation.
mod_security_rule_ids (list[str]) – The value to assign to the mod_security_rule_ids property of this Recommendation.
name (str) – The value to assign to the name property of this Recommendation.
description (str) – The value to assign to the description property of this Recommendation.
labels (list[str]) – The value to assign to the labels property of this Recommendation.
recommended_action (str) – The value to assign to the recommended_action property of this Recommendation.
- property description¶
Gets the description of this Recommendation. The description of the recommended protection rule.
- Returns
The description of this Recommendation.
- Return type
str
- property key¶
Gets the key of this Recommendation. The unique key for the recommended protection rule.
- Returns
The key of this Recommendation.
- Return type
str
- property labels¶
Gets the labels of this Recommendation. The list of labels for the recommended protection rule.
- Returns
The labels of this Recommendation.
- Return type
list[str]
- property mod_security_rule_ids¶
Gets the mod_security_rule_ids of this Recommendation. The list of the ModSecurity rule IDs associated with the protection rule. For more information about ModSecurity’s open source WAF rules, see Mod Security’s documentation.
- Returns
The mod_security_rule_ids of this Recommendation.
- Return type
list[str]
- property name¶
Gets the name of this Recommendation. The name of the recommended protection rule.
- Returns
The name of this Recommendation.
- Return type
str
- property recommended_action¶
Gets the recommended_action of this Recommendation. The recommended action to apply to the protection rule.
- Returns
The recommended_action of this Recommendation.
- Return type
str